/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C component implementation with an init function
 * 1 service with interface Service1
 * 0 references
 * @author Bryan Aupperle
 *
 */


#include "Service1.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

/* @Init */
/* This function is incorrect - lifecycle functions should not have PARAMETERs */
void setup(const char *value) {
	char *pServiceName = serviceName;
	strcpy(serviceName, value);
};
	

char *operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	return result;
};
