/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import testClient.TestInvocation;

/**
 * Client for C_10009_TestCase
 * Tests the core default mapping of an unannotated header to WSDL is correct.
 */
public class C_10009_TestCase extends BaseJAXWSTestRunner {

	
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 7);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + " service1 operation1 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= null;
    	config.contributionNames	= new String[] { "ccni" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_C_10009
