/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import testClient.TestInvocation;

/**
 * Client for C_3005_TestCase
 * Tests that operations in a callback interface can be asynchronously invoked via proxy functions.
 */
public class C_3005_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 6);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + " service1 operation1 invoked service2 operation1 invoked service1 callback1 invoked";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= null;
    	config.contributionNames	= new String[] { "ccni", "ccni_proxy" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_C_3005
