/*
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import testClient.TestInvocation;

/**
 * Client for C_A010_TestCase
 * Tests that @Function generates correct SCDL.
 */
public class C_A010_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 6);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + " Test service got an error during execution: Incorrect parameter value";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= null;
    	config.contributionNames	= new String[] { "ccni", "ccni_annot" };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_C_A010
