/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation
 * 1 service with interface Service40
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service40.h"
#include "SCA.h"

/* @Property */
wchar_t serviceName[50];

struct operation1Response operation1(struct operation1Request operation1) {
	int compCode, reason, size = 50, num_values = 1;
	wchar_t *pServiceName = serviceName, *result;
	struct operation1Response response;

	SCAPropertyString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);

	wcscpy(response.result, serviceName);
	wcscat(response.result, L" operation1 invoked");
	return response;
};
