/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface for a program-based implementation with an operation
 * with request and response message struct members with the same name but different
 * types
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
/**
 * Message formats for invoking testcase service
 * input parameter(s) as a char array
 * output data as a char array
 */
struct operation1 {
	char input[50];
};

struct operation1Response {
	char result[255];
};

/**
 * Message formats for invoking testcase service
 * input parameter(s) as a char array
 * output data long
 */
struct operation2 {
	char data[50];
};

struct operation2Response {
	long data;
};
