/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface with a business fault
 * @author Bryan Aupperle
 *
 */

/* @WebFault(name="Exception", targetNamespace="http://test.sca.oasisopen.org/") */
struct ExceptionMsg {
   char faultInfo[255];
};

/*
 * @WebService(targetNamespace="http://test.sca.oasisopen.org/")
 * @Remotable
 */

/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
/* @WebThrows(faults="ExceptionMsg") */
char *operation1(const char *input);
