/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

#include <stdint.h>

/**
 * A test service interface with a function using different parameter styles
 * @author Bryan Aupperle
 *
 */

/* @Remotable */
/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);

/**
 * Function for invoking testcase service
 * @param index - a by-value parameter
 * @param input - input parameter(s) as a string
 * @return - output data as a short
 */
int16_t operation2(int16_t index, char *input);
