/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface with a function that is annotated as a OneWay MEP
 * @author Bryan Aupperle
 *
 */

/* @Interface(name="Service24")
 * @Remotable */

/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);

/**
 * Function for invoking testcase service
 * @param a - float parameter
 */
/* OneWay */
void operation2(float a);
