/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A remotable service interface containing 1 operation
 * with a callback interface the same name
 * @author Bryan Aupperle
 *
 */

/* @Remotable
 * @Callback(header="test/Service5Callback.h")
 */
/**
 * Function for invoking testcase service
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
char *operation1(const char *input);
