/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A test service interface for a program-based implementation with messages formats that
 * are not part of the interface
 * @author Bryan Aupperle
 *
 */

/* @Interface(name="Service11P")
 * @Remotable */
/**
 * Message formats for invoking testcase service
 * input parameter(s) as a char array
 * output data as a char array
 */
/* @Operation exclude="true" */
struct operation1 {
	char input[50];
};

struct operation1Response {
	char result[255];
};

/**
 * Message formats for invoking testcase service
 * input parameter(s) as a char array
 * output data as a char array
 */

struct operation2 {
	char input[50];
};

struct operation2Response {
	char result[255];
};
