/*
 *
 * Copyright(C) OASIS(R) 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A remotable service interface for a program-based implementation containing 1 operation
 * with a callback interface the same name
 * @author Bryan Aupperle
 *
 */

/* @Remotable
 * @Callback(header="Service12CallbackP.h")
 */
/**
 * Message formats for invoking testcase service
 * input parameter(s) as a char array
 * output data as a char array
 */
struct operation1 {
	char input[50];
};

struct operation1Response {
	char result[255];
};
